Loading...
Searching...
No Matches
XrdPfc::DirPurgeElement Struct Reference

`#include <XrdPfcDirStatePurgeshot.hh>`

Inheritance diagram for XrdPfc::DirPurgeElement:
Collaboration diagram for XrdPfc::DirPurgeElement:

## Public Member Functions

| DirPurgeElement ()
| DirPurgeElement (const DirStateBase &b, const DirUsage &here_usage, const DirUsage &subdir_usage, int parent)
Public Member Functions inherited from XrdPfc::DirStateBase
| DirStateBase ()
| DirStateBase (const std::string &dname)

## Public Attributes

int | m_daughters_begin = -1
int | m_daughters_end = -1
int | m_parent = -1
DirUsage | m_usage
Public Attributes inherited from XrdPfc::DirStateBase
std::string | m_dir_name

## Detailed Description

Definition at line 9 of file XrdPfcDirStatePurgeshot.hh.

## Constructor & Destructor Documentation

## DirPurgeElement() [1/2]

XrdPfc::DirPurgeElement::DirPurgeElement | ( |  | ) |

inline

Definition at line 16 of file XrdPfcDirStatePurgeshot.hh.

{}

## DirPurgeElement() [2/2]

XrdPfc::DirPurgeElement::DirPurgeElement | ( | const DirStateBase & | b,
|  | const DirUsage & | here_usage,
|  | const DirUsage & | subdir_usage,
|  | int | parent )

inline

Definition at line 17 of file XrdPfcDirStatePurgeshot.hh.

:
DirStateBase(b),
m_usage(here_usage, subdir_usage),
m_parent(parent)
{}
parent
static void parent()
Definition XrdClDefaultEnv.cc:80
XrdPfc::DirPurgeElement::m_usage
DirUsage m_usage
Definition XrdPfcDirStatePurgeshot.hh:11
XrdPfc::DirPurgeElement::m_parent
int m_parent
Definition XrdPfcDirStatePurgeshot.hh:13
XrdPfc::DirStateBase::DirStateBase
DirStateBase()
Definition XrdPfcDirStateBase.hh:63

References XrdPfc::DirStateBase::DirStateBase(), m_parent, m_usage, and parent().

Here is the call graph for this function:

## Member Data Documentation

## m_daughters_begin

int XrdPfc::DirPurgeElement::m_daughters_begin = -1

Definition at line 14 of file XrdPfcDirStatePurgeshot.hh.

Referenced by XrdPfc::ResourceMonitor::fill_pshot_vec_children(), and XrdPfc::DataFsPurgeshot::find_dir_entry_from_tok().

## m_daughters_end

int XrdPfc::DirPurgeElement::m_daughters_end = -1

Definition at line 14 of file XrdPfcDirStatePurgeshot.hh.

Referenced by XrdPfc::ResourceMonitor::fill_pshot_vec_children(), and XrdPfc::DataFsPurgeshot::find_dir_entry_from_tok().

## m_parent

int XrdPfc::DirPurgeElement::m_parent = -1

Definition at line 13 of file XrdPfcDirStatePurgeshot.hh.

Referenced by DirPurgeElement().

## m_usage

DirUsage XrdPfc::DirPurgeElement::m_usage

Definition at line 11 of file XrdPfcDirStatePurgeshot.hh.

Referenced by DirPurgeElement().

The documentation for this struct was generated from the following file:

- XrdPfcDirStatePurgeshot.hh